Varkon CAD


I have just downloaded and installed the libre open source (GPL) Varkon CAD for WinXP, and will be testing it for its possible use (at least [ease of use] for me :) in architecture, in as much as I can test it for this capacity, since my knowledge of CAD in architecture is limited, and my memory of more involved CAD has gotten rusty... (although that could change. :)
That said, the suggestion is warranted to those hereon, especially those who have a good knowledge of, and/or experience in, architecture (as well as a sense of adventure, some "hands-on, self-made" optimism for open source CAD, and some free time ;) to give it a try. It's a very recent release, which may suggest some healthy development activity.
The release for Windows has also been GPL'd! VARKON for UNIX and Windows are free software distributed in sourcecode under the GNU/LGPL license as published by the Free Software Foundation. The full conditions of the GNU/LGPL license is available at: http:/www.fsf.org.
Varkon used to cost $875 USD for a Windows license.
Clips from the manual: VARKON is ideally suited for all types of variational design. Wooden houses, tools for ballbearings, welded steel parts or electrical installations are some of the products currently designed in VARKON using this technique... VARKON has been available for more than 15 years and the number of users are steadily increasing with systems installed in many Europeean countries as well as the USA. Customers range from big companies like SAAB Aircraft to very small companies with only a few employees. There is also an increasing number of users all over the world running the free version of VARKON for UNIX and GNU/Linux. VARKON is a powerful geometric modeller. Basic 3D entities are points, lines, arcs, curves, surfaces, coordinate systems and transformations. Several representations of parametric curves are implemented including rational polynomial, analytical offset and curves on surfaces so called UV-curves. Surface representations include rational polynomial, lofted procedural, analytical offset and a faceted surface for approximations. Operations include intersects, closest point, silhouette, curvatures, transformation, trimming, export, import and approximation. Basic visualization as well as complex rendering based on OpenGL is included in all versions of the system.
Can it be? Finally, a libre, open source CAD program that is learnable, usable, does 3D, runs under Windows, and is good enough to do architecture?
Stay tuned!
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
In a previous post Don says...

Don:
Your comments point out why I like VisualCadd so much. The toolbars and menus are easily customizable with any text editor. Custom commands (scripts) can easily be built in the same way. You can even create different menus and toolbars for different types of jobs. They are loaded on command with two mouse clicks.
Scripting is easy too. For instance, I created a script that will trim two crossing lines to each other and then join them into a single polyline. The script has been assigned a two-letter shortcut and I invoke the command by typing those two letters -- no "Enter" key is required.
One thing I might suggest to speed up your drawing process is to invest in a 24 "Function" key keyboard. The Avant Stellar is the best one around, but it is not cheap ~ $180.00. The thing is built like a brick s__house and weighs in at about 5 lbs. Assign your regular commands to a function keys. Only takes one keystroke to get the command up and running.
With VCadd, I have the snap nearest point command under my left little finger. I can be drawing with my right hand and snapping to points with the left. Two-handed drafting -- just like the old days!
--
Bob Morrison, PE, SE
R L Morrison Engineering Co
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

You guys got other useful tips for a newbie, on efficient CAD'ing?
-- R'zenboom
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Of course - it's OT. Still, I appreciate the point, based on past experience. As to why it is unlikely that I do that, I must give the same reason as you have, recently posted, for not switching to another CAD package.
And so, speaking of 'using CAD', do the old doods have other tips? :]
Respect, R'zenboom
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
zenboom wrote:

As far as being OT ok yes it is, but Don makes a good point, and its something I wish I would have done before getting started. It would really give you a leg up on your job competition.
As far as ACAD, I'm not really an old dude, but I have advice. First of all you have to slowly but surely get into the habit of using the keyboard rather than icons on toolbars. The less icons you have, the more drawing space you have.
I have edited many of my default key binds to keep most of the keyboard presses on the left hand side since my right hand is usually on my mouse. Do not be afraid to change things. This is for your benefit. Simple things like changing the MI for mirroring to something like MM makes things go a lot faster (if you can type fast without looking, things will be different for you, I can't type worth a squat).
Learn simple lisp routines. The simplest will save you lots of clicks and typing. Here is a sample of the ones I use:
(defun c:fz ()     (command "fillet" "radius" 0 "fillet") (princ) )
These are fairly simple to follow. Pretty much change the c:?? to whatever you want the function to start with, in this case I type fz to start the function. Then after the word command, replace what's there with what you want the function to do. In this case it will type fillet in the command line (must use quotes for word typing), then it types radius within the fillet command, then it types the number zero (no quotes for numbers). At this point the fillet command is done, so it types fillet again to get me back to doing a fillet at zero radius, which is what this small lisp does for me. Keep in mind also that you must type the FULL command in these lisps, and not just the shortcut letters. SO type fillet, not "f". The princ at the end simply prints to the command line. All you have to do is add this line to the end of the autocad2005doc.lsp (could be named differently depending on your ACAD version) in the support folder.
(defun c:pu () (textscr) (command "purge" "all" "*" "no" ) (princ) )
Purges everything without asking you the stupid question of "are you sure?"
(defun c:zd () (command "zoom" "dynamic" ) (princ) )
(defun c:ze () (command "zoom" "extents" ) (princ) )
(defun c:zp () (command "zoom" "previous" ) (princ) )
(defun c:za () (command "zoom" "all" ) (princ) )
I don't really use these much anymore because the mouse scroll wheel has replaced them, but they were useful in ACAD r14
(defun c:au ()     (command "audit" "y")     (princ) )
audits and fixes without the stupid "are you sure?" question.
(defun c:ra ()     (command "regenauto" "on")     (princ) )
simply turns regenauto on, which for most architectural drawings is fine.
(defun c:pj ()     (command "pedit" pause "j" pause)     (princ) )
here the you'll notice the word pause without quotes. This forces your function to pause for your input, whatever that input might be. In this case, I am doing a pline edit and joining lines. So the function runs pline edit pauses for you to pick a pline, and then runs join and you add the other lines to that. I actually have two in the same file that has the pause at the end and one that doesn't, I'm not sure which one is the one that works. I guess I'll figure that out tonight.
;; Silent load. (princ)
The last line of my file just adds the silent load so when your starting ACAD it doesn't show all these functions loading up.
There are lots of ready made lisps out there, but a lot of them do very complicated things and are much more complex than mine. If you need them, go get them, otherwise just make your own simple ones. Keep in mind that when going for a job, and they want to see how you are in ACAD, none of your lisps will be loaded, so always keep in the back of your head the default keys, or be ready to use the icons.
Hope this helps.
--
Night_Seer

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

It is neither a glitch nor a problem. It is a carefully thought out choice.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
gruhn wrote:

Yeah I would have to agree with that. I've often used that very "glitch" to avoid actually pressing a button I did not mean to press. What are you doing using icons for fast stuff anyways, nothings faster than hitting a letter on a keyboard.
--
Night_Seer

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Don wrote:

Lighten up boys, it's friday. Both you guys are making me laugh about whose technique is faster. It's like saying my turbocharged 4 cylinder is faster than your 8 cylinder with headers and a big carb. Unless you guys can do a caged death match on pay-per-view its just posturing. Its all in how you learned to use the software IMHO. I'm more of left hand on the keyboard/a few icons, and I'm pretty f'ing fast, but I know guys who learned more by icons alone who are fast as well. My ACAD history is based on the older pre-icon versions, but I also had a history on Microstation using icons. It's all a matter of how you like to work that makes you fast.
While we're at it, I'd challenge either of you in building a 3d model in ACAD, I'll waste the both of you. (As he revs his engine) ;-)
I would like to see that pay-per-view event though. Maybe some of the warm-up bouts could be between different softwares or even settle that old PC vs Mac debate. "Let's get ready to Rumble! er I meant Click!"
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
"Don"

Well this is what I got from a quick glance at the manual:
"Creating Your Own User Interface: Basic elements of the interface are menus, toolbars, functionkeys, and windows. All these are defined in external textfiles called MDF. A standard setup is of course included in the system but creating your own interface is important if you want to develop a nice application."
"Editing a MDF-file is a simple way of replacing standard menus for menus of your own but if you need more detailed control you can also use the MBS language to manually program a user dialogue. MBS includes a number of high level routines to create windows buttons, icons and edit fields and to manage events from these."
"The system was originally developed by a group at the University of Linkoping in Sweden during 1984-86 under the leadership of Dr. Johan Kjellander..."
So Varkon appears about as old as ACAD, and seems to have been in development since then, so one would guess that it should be more on par with ACAD than one might think, maybe more powerful in some ways. It seems highly configurable. Of course, a power it already has over ACAD comes from the fact that it's open source.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
"Don"

Google " 'open source' benefits 'average user' ".
I did and here's a example: http://www.ifpeople.net/resources/downloads/freesoftware/view
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

HomeOwnersHub.com is a website for homeowners and building and maintenance pros. It is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.